petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatTranspose

Computes an in-place or out-of-place transpose of a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTranspose(Mat mat,MatReuse reuse,Mat *B)

Collective on Mat

### Input Parameter

| mat | - the matrix to transpose
| reuse | - either MAT_INITIAL_MATRIX, MAT_REUSE_MATRIX, or MAT_INPLACE_MATRIX

### Output Parameters

| B | - the transpose

### Notes

If you use MAT_INPLACE_MATRIX then you must pass in &mat for B

MAT_REUSE_MATRIX causes the B matrix from a previous call to this function with MAT_INITIAL_MATRIX to be used

Consider using MatCreateTranspose() instead if you only need a matrix that behaves like the transpose, but don't need the storage to be changed.

### See Also

MatMultTranspose(), MatMultTransposeAdd(), MatIsTranspose(), MatReuse

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Examples

src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex65.c.html
src/ksp/ksp/tutorials/ex74.c.html
src/snes/tutorials/ex70.c.html
src/tao/pde_constrained/tutorials/parabolic.c.html
src/tao/pde_constrained/tutorials/hyperbolic.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages